<div class="banner__cnt--block">
  <div class='content__banner' *ngIf='slides2.length>0'>
    <swiper #swiperComponent [slidesPerView]='1' [loop]='false' [virtual]='true'
            (slideChange)='slideChangeEvent()'>
      <ng-template swiperSlide *ngFor='let slide of slides2; index as i'>
        <a class='banner__item' (click)='clickBanner(slide)'>
          <img alt='' src='{{slide.imgData}}' style='width: 100%; object-fit: cover; height: 160px; border-radius: 16px;'>
        </a>
      </ng-template>
    </swiper>
  </div>
  <div class="group__prev__next">
    <span *ngIf='activeIndex != 0' (click)='swipePrev()' class='icon__sw icon__sw--prev'><em class='far fa-angle-left'></em></span>
    <span *ngIf='activeIndex != slides2.length - 1' (click)='swipeNext()' class='icon__sw icon__sw--next'><em
      class='far fa-angle-right'></em></span>
  </div>
</div>

